package cn.com.infosec.asn1.sec;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class SECNamedCurves$16 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      BigInteger var6 = SECNamedCurves.access$0("003088250CA6E7C7FE649CE85820F7");
      BigInteger var1 = SECNamedCurves.access$0("00E8BEE4D3E2260744188BE0E9C723");
      byte[] var2 = Hex.decode("10E723AB14D696E6768756151756FEBF8FCB49A9");
      BigInteger var3 = SECNamedCurves.access$0("0100000000000000D9CCEC8A39E56F");
      BigInteger var4 = BigInteger.valueOf(2L);
      ECCurve.F2m var5;
      ECCurve.F2m var10000 = var5 = new ECCurve.F2m;
      var10000.<init>(113, 9, var6, var1, var3, var4);
      ECPoint var7 = var10000.decodePoint(Hex.decode("04009D73616F35F4AB1407D73562C10F00A52830277958EE84D1315ED31886"));
      return new X9ECParameters(var5, var7, var3, var4, var2);
   }
}
